Bug Hunting Session
Bug 47458 - [Task] EPS graphics not displayed properly
Summary: [Task] EPS graphics not displayed properly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.5 target:4.3.0
Keywords:
: 68893 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-03-17 14:46 UTC by Alex
Modified: 2014-04-30 06:01 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide 1 of 3. (140.45 KB, image/png)
2012-03-17 14:46 UTC, Alex
Details
Slide 2 of 3. (130.97 KB, image/png)
2012-03-17 14:47 UTC, Alex
Details
Slide 3 of 3. (103.29 KB, image/png)
2012-03-17 14:48 UTC, Alex
Details
Test kit for bug 47458 (173.00 KB, application/zip)
2012-11-28 09:46 UTC, Roman Eisele
Details
screenshot of presentation editing in 3.6.3 on RFR 17 64 bit (97.55 KB, image/png)
2012-11-28 10:37 UTC, sasha.libreoffice
Details
document from test kit rendered in presentation mode (24.97 KB, image/png)
2012-11-28 20:09 UTC, Christina Rossmanith
Details
An even simpler test kit, including a manually created EPS (15.11 KB, application/zip)
2012-11-29 08:14 UTC, Roman Eisele
Details
Text displaying perfectly with LO 3.5.7.2 on Ubuntu 12.04 (335.28 KB, image/png)
2013-09-06 16:19 UTC, Gilles Gravier
Details
Text displaying incorrectly with LO 4.1.1.2 on Ubuntu 12.04 (316.72 KB, image/png)
2013-09-06 16:19 UTC, Gilles Gravier
Details
Samplo document that displays on 3.5.7.2 and not on 4.1.1.2 on Ubuntu 12.04 (23.40 KB, application/vnd.oasis.opendocument.text)
2013-09-06 16:20 UTC, Gilles Gravier
Details
screenshot for sample document from attachment 85364 (192.82 KB, image/png)
2013-09-07 13:20 UTC, Christina Rossmanith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2012-03-17 14:46:48 UTC
Created attachment 58622 [details]
Slide 1 of 3.

I keep having trouble with EPS graphics during presentations:

On the presenter's screen they are displayed OK in the small preview to the right, but as soon as the slide is displayed, I get only a red frame containing some information about the file creator an creation date. It doesn't seem to matter if the files are embedded or linked.

I've seen similar problems with OO-Writer before, but with LO and Impress, I keep seeing it all the time. Bitmap graphics like PNG seem to work.

I'll add screenshots of three successive slides where the problem appears.

Regards,

Alex
Comment 1 Alex 2012-03-17 14:47:31 UTC
Created attachment 58623 [details]
Slide 2 of 3.
Comment 2 Alex 2012-03-17 14:48:46 UTC
Created attachment 58624 [details]
Slide 3 of 3.
Comment 3 sasha.libreoffice 2012-03-23 06:27:17 UTC
Thanks for bugreport
In this bugreport EPS also displays wrong, but on Windows:
Bug 41407 - EDITING: Presentation documents with a large number of complex EPS graphics renders very slowly
Comment 4 Christina Rossmanith 2012-08-08 20:36:14 UTC
I've created a simple .eps with gimp, inserted it into a presentation and could display it during presentation.

LibreOffice 3.5.4.2 
Build-ID: 350m1(Build:2)
linux
Comment 5 bfoman (inactive) 2012-08-10 12:23:54 UTC
Could you attach this presentation to allow others to check on different
system/build?
Comment 6 Roman Eisele 2012-08-31 08:53:49 UTC
This issue is probably specific to Mac OS X (there are some similar bug reports about problems with EPS files). However, it would be still good to have an example file, therefore:


@Alex:

Could you please attach a simple presentation (one single slide should be enough) which contains an EPS graphics and shows the problem you describe?

This would be very very helpful!
Comment 7 andreas.von.rueden 2012-11-27 21:55:47 UTC
Same Problem. Created LO presentation on Linux, copied to Mac OS X, presentation showed creator and creation date only instead of included eps-graphic.
Comment 8 Roman Eisele 2012-11-28 09:46:33 UTC
Created attachment 70729 [details]
Test kit for bug 47458


OK -- because all the people complaining about this bug do not want to add even the simplest sample/test file, I had to create my own :-(

Attached you will find a ZIP archive containing
* a simple .odp presentation with a single slide that contains
  an EPS graphics
* screenshots of how this presentation looks on my machine
  (Mac OS X 10.6.8, Intel) in LibreOffice 3.6.4.1
  a) while editing (OK!)
  b) while presenting (bad...)
* for reference, the EPS graphics file
* and the .svg graphics from which the EPS graphics was created
  (made with Inkscape)
Comment 9 Roman Eisele 2012-11-28 10:00:52 UTC
With the test kit attached in the previous comment, this bug is easily

REPRODUCIBLE with every LibreOffice version since 3.3.0;
tested on on Mac OS X 10.6.8 (Intel).

Therefore set Status to NEW (= confirmed) and Version to “3.3.0” (please note that the Version field is supposed to contain the *first* version in which a bug is reproducible).
Comment 10 Roman Eisele 2012-11-28 10:04:02 UTC
@ Christina Rossmanith:

Hi Christina,

we need to find out if this bug is reproducible on Mac OS X only.
You have reported before that you could not reproduce it on Linux.
To be 100% sure, could you please dowload the simple test kit I have attached to this bug report, open the .odp presentation contained in the kit and test if the EPS graphics is displayed correctly in presentation mode?

Thank you very much in advance!
Comment 11 sasha.libreoffice 2012-11-28 10:37:11 UTC
Created attachment 70731 [details]
screenshot of presentation editing in 3.6.3 on RFR 17 64 bit

Thanks for attachment. Using it, I can see problem even on Linux.
1) opening attached odp file, I see empty frame as in screenshot "How my sample looks during presentation - EPS missing (LibreOffice 3.6.4.1 on Mac OS X 10.6.8).png", but in edit mode. But after several second image appears. 
2) But it seriously differs from screenshot "How my sample looks while editing - OK (LibreOffice 3.6.4.1 on Mac OS X 10.6.8).png". See my screenshot.
Comment 12 Roman Eisele 2012-11-28 15:44:35 UTC
@ Sasha:
> 2) But it seriously differs from screenshot "How my sample looks while
> editing - OK (LibreOffice 3.6.4.1 on Mac OS X 10.6.8).png". See my
> screenshot.
Ah, nice catch! Thank you! But I would guess that this (different position/size) is a different issue, and we should file yet another bug report for it. Oh no ...

And: 
How does the presentation look in presentation mode/when presenting for you?
Correctly (*with* the EPS graphics) or like on my screenshort “How my sample looks during presentation - EPS missing …”, i.e. with the placeholder?
Comment 13 Christina Rossmanith 2012-11-28 20:06:23 UTC
Version 4.0.0.0.alpha1+ (Build ID:       
broken

Version LibreOffice 3.5.4.2  Build ID: 350m1(Build:2)
working - proving screenshot attached

still on linux
Comment 14 Christina Rossmanith 2012-11-28 20:09:12 UTC
Created attachment 70746 [details]
document from test kit rendered in presentation mode
Comment 15 sasha.libreoffice 2012-11-29 05:29:17 UTC
On Linux: in demonstration mode the same as in editing (too small image)

On Windows XP: in 3.4.2, 3.5.0, 3.6.3 no image at all, empty frame. Both editing and demonstrating mode. Both hardware acceleration enabled and disabled.

Because we have problems only with some exact pictures, not with all EPS (at least on Windows), I have one question: how created this EPS picture?
Comment 16 Roman Eisele 2012-11-29 06:30:59 UTC
(In reply to comment #15)
> Because we have problems only with some exact pictures, not with all EPS (at
> least on Windows), I have one question: how created this EPS picture?

It was created with Inkscape 0.48.2 (see http://inkscape.org/).
AFAIK Inkscape uses the Cairo library for exporting to EPS.
The source file, a SVG file with the usual Inkskape extensions, is included in my test kit, too (“Simple ESP sample.svg”).
Comment 17 Roman Eisele 2012-11-29 08:14:44 UTC
Created attachment 70774 [details]
An even simpler test kit, including a manually created EPS


(In reply to comment #15)
> Because we have problems only with some exact pictures, not with all EPS (at
> least on Windows), I have one question: how created this EPS picture?

Can you please test the attached “even simpler” test kit, which includes
* a manually created EPS (yes, I learned PostScript long ago ;-),
  extremely simple, using only language level 1 commands
* a simple .odp file just containing that EPS

Does *this* EPS file display correctly on Windows -- or does it not?

On Mac OS X, no difference: the EPS displays correctly when editing the presentation, but is replaced by the well-known placeholder frame when presenting. So, on Mac OS X, the results do NOT depend on the complexity of the EPS file: just *every* EPS file fails to display during presentation.
Comment 18 Roman Eisele 2012-11-29 08:20:22 UTC
(In reply to comment #13)
> Version 4.0.0.0.alpha1+ (Build ID:       
> broken
> 
> Version LibreOffice 3.5.4.2  Build ID: 350m1(Build:2)
> working - proving screenshot attached
> 
> still on linux

Thank you, Christina! So, on Linux, we have a different issue than on Mac OS X.

As far as I can see, we have very different results:
* On Mac OS, *every* EPS graphics fails to display properly during presentation
* On Linux, only in the current master builds EPS graphics fail to display
  properly during presentation; -> regresssion?!
* On Windows, *some* EPS graphics display correctly, and others don’t;
  we have to find out what makes the difference ...

I fear we need to handle these problems as three different bug reports:
a general report for Mac OS X (the present one), a report about a regression on Linux, and a report about *some* EPS graphics failing to display on Windows (further research necessary). Does somebody know if there are already some reports for the Linux and Windows issues?
Comment 19 sasha.libreoffice 2012-11-29 08:40:55 UTC
Thanks for attachment
Simplified attachment also not working on Windows
But what is interesting: metainformation such as "Creator", "Creation date", "Title" and "Language level" still extracted in demonstration mode.

Sorry for provided incorrect information about EPS on Windows in previous comments. Correct is: no EPS on Windows works. I have investigated content of attachment from Bug 41407 more carefully and no eps is shown.
Comment 20 Roman Eisele 2012-11-29 10:16:42 UTC
(In reply to comment #19)
> Sorry for provided incorrect information about EPS on Windows in previous
> comments. Correct is: no EPS on Windows works. I have investigated content
> of attachment from Bug 41407 more carefully and no eps is shown.

Ah, thank you! So we must modify my description from comment #18:

         | LibO Version | In editing mode,  | During presentation,
         |              | EPS graphics ...  | EPS graphics ...
--------------------------------------------------------------------
Mac OS X | all          | display correctly | only placeholder shown
Windows  | all          | not working       | only placeholder shown
Linux    | 3.5          | display correctly | display correctly
Linux    | 4.0/master   | not working       | not working

Is this summary of the state of affairs correct?
Or are there still corrections necessary?
Comment 21 Rainer Bielefeld Retired 2013-03-09 08:44:05 UTC
Please do not misunderstand my intentions, I do not doubt that there is a bug or similar.
We will have to relaunch this report, during research concerning the roots of the problem here we have got too many different problems mixed up in too many conflicting comments, so it has become more or impossible to find out what really the cuurrent problem might be. So please help to create separate bugs one by one concerning the different problems with different OS with different .eps

Please report only new separate bugs for problems still reproducible with LibO .6 or later.

Plase only report bugs concerning 1 particular .eps in the base bug demo

We will leave this one as a Task bug for all problems ONLY visible with presentation (most of them will be related to SLIDESHOW mode, not to EDIT mode.
Comment 22 Rainer Bielefeld Retired 2013-03-09 09:21:33 UTC
I submitted "Bug 62051 - FILEOPEN or insert particular.eps shows only placeholder" with sample document "2012-11-29 08:14 UTC, Roman Eisele ", what is not a particular Impress bug, but might help to separate the many different .eps problems. Can you confirm that bug for other OS than WIN?
Comment 23 tommy27 2013-09-06 11:12:58 UTC
*** Bug 68893 has been marked as a duplicate of this bug. ***
Comment 24 Gilles Gravier 2013-09-06 16:18:39 UTC
The bug is definitely present on LibreOffice 4.1.1.2 on Linux (Ubuntu 12.04 LTS, 32 or 64 bits). See 2 recently added screenshots to that effect. Works with LO 3.5.7.2 not with 4.1.1.2.


Gilles.
Comment 25 Gilles Gravier 2013-09-06 16:19:21 UTC
Created attachment 85362 [details]
Text displaying perfectly with LO 3.5.7.2 on Ubuntu 12.04
Comment 26 Gilles Gravier 2013-09-06 16:19:57 UTC
Created attachment 85363 [details]
Text displaying incorrectly with LO 4.1.1.2 on Ubuntu 12.04
Comment 27 Gilles Gravier 2013-09-06 16:20:45 UTC
Created attachment 85364 [details]
Samplo document that displays on 3.5.7.2 and not on 4.1.1.2 on Ubuntu 12.04
Comment 28 Christina Rossmanith 2013-09-07 13:20:55 UTC
Created attachment 85394 [details]
screenshot for sample document from attachment 85364 [details]

(In reply to comment #27)
> Created attachment 85364 [details]
> Samplo document that displays on 3.5.7.2 and not on 4.1.1.2 on Ubuntu 12.04

Working for me with Version: 4.2.0.0.alpha0+
Build ID: d00e125cbe33da88b881d177cbc09a9045d32349

Ubuntu 12.04
Comment 29 V Stuart Foote 2014-04-30 06:01:51 UTC
On Windows 7 sp1, 64-bit
Version: 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-30_01:30:46

Setting resolved fixed with Caolan's commits on master:
 
http://cgit.freedesktop.org/libreoffice/core/commit/?id=3db00c554b38ee6c1b6e969768da53db4dc2f92a 

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d88c6dee6d57fa9c366b67624842aefa429f527

However, pstoedit (for vector formatted previews), GhostScript, and ImageMagick must be correctly configured and available on system path.

Would help if someone with one or all of the helper apps on OS X can confirm fix is valid.